## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate lino

Name:           rust-lino
Version:        0.10.0
Release:        %autorelease
Summary:        Command line text editor with notepad like key bindings

License:        MIT
URL:            https://crates.io/crates/lino
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
#  * update copypasta to 0.10.x
Patch:          lino-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A command line text editor with notepad like key bindings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        Apache-2.0 and BSD-3-Clause and ISC and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc TODO.md
%{_bindir}/lino

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-7
- Update copypasta to 0.10.0

* Tue Dec 19 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-6
- Regenerate with rust2rpm v25

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 05 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-4
- Update rust-copypasta to 0.8

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 31 2022 Davide Cavalca <dcavalca@fb.com> - 0.10.0-1
- Initial import; Fixes: RHBZ#1990713
## END: Generated by rpmautospec
